> For the complete documentation index, see [llms.txt](https://api-portal.novapost.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-portal.novapost.com/methods/ua/overview/webhooks/deleting-numbers-from-a-subscription.md).

# Видалення номерів із підписки

## Видалити номери з існуючої підписки

> Цей метод дозволяє видаляти номери відправлень з існуючої підписки, зазначеної за її унікальним ідентифікатором.\
> \
> \*\*Метод повертає код\*\* \`200\` \*\*у будь-якому разі, зокрема й тоді, коли не видалено жодного номера.\*\* Результат операції визначається параметром \`status\` у тілі відповіді, а не HTTP-кодом.<br>

```json
{"openapi":"3.0.0","info":{"title":"API Nova Post","version":"1.0.0"},"tags":[{"name":"Webhooks"}],"servers":[{"description":"sandbox","url":"https://api-stage.novapost.com/v.1.0/"},{"description":"production","url":"https://api.novapost.com/v.1.0/"}],"security":[{"JWT":[]}],"components":{"securitySchemes":{"JWT":{"type":"apiKey","in":"header","name":"Authorization","description":"Авторизаційний JWT-токен із терміном дії 1 година в заголовку"}},"responses":{"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Validation":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Time-out":{"description":"Connection time-out","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","properties":{"errors":{"type":"object","properties":{"":{"type":"string"}}}}}}},"paths":{"/tracking-push/subscribers/{id}/numbers":{"delete":{"summary":"Видалити номери з існуючої підписки","description":"Цей метод дозволяє видаляти номери відправлень з існуючої підписки, зазначеної за її унікальним ідентифікатором.\n\n**Метод повертає код** `200` **у будь-якому разі, зокрема й тоді, коли не видалено жодного номера.** Результат операції визначається параметром `status` у тілі відповіді, а не HTTP-кодом.\n","operationId":"deleteNumbersToSubscriber","tags":["Webhooks"],"parameters":[{"name":"id","in":"path","description":"Унікальний ідентифікатор підписки, з якої будуть видалені номери відправлень. Це обов’язковий параметр шляху.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Тіло запиту, що містить список номерів відправлень, які необхідно видалити з підписки. Для виконання цієї операції тип підписки повинен бути `numbers`.","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"numbers":{"type":"array","description":"Список номерів відправлень, які необхідно видалити з підписки.","items":{"type":"string"}}}}}}},"responses":{"200":{"description":"Номери успішно видалено з підписки.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","description":"Результат операції:\n- `success` — видалено всі номери;\n- `partial_success` — видалено частину номерів;\n- `error` — не видалено жодного номера.\n","enum":["success","partial_success","error"]},"successful":{"type":"object","description":"Містить інформацію про успішну частину операції.\n\n🔹Цей блок відсутній, якщо `status` має значення `error`.\n","properties":{"message":{"type":"string","description":"Текстовий опис успішної частини операції."},"deletedNumbers":{"type":"array","description":"Список номерів, які успішно видалено з підписки.","items":{"type":"string"}},"deletedCount":{"type":"integer","description":"Кількість видалених номерів."}}},"errors":{"type":"object","description":"Містить інформацію про невдалу частину операції.\n\n🔹Цей блок відсутній, якщо `status` має значення `success`.\n","properties":{"message":{"type":"string","description":"Текстовий опис невдалої частини операції."},"notFoundNumbers":{"type":"array","description":"Список номерів, яких не знайдено в підписці.","items":{"type":"string"}},"errorCount":{"type":"integer","description":"Кількість номерів, які не було видалено."}}}}}}}},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"422":{"$ref":"#/components/responses/Validation"},"503":{"$ref":"#/components/responses/Time-out"}}}}}}
```

### Застарілі параметри

Частина параметрів дублюється у `snake_case`-написанні. Ці параметри збережено виключно для забезпечення зворотної сумісності — для нових інтеграцій використовуйте варіанти в `camelCase`.

<table data-search="false"><thead><tr><th>Застарілий параметр</th><th>Використовуйте замість нього</th></tr></thead><tbody><tr><td><code>deleted_numbers</code></td><td><code>deletedNumbers</code></td></tr><tr><td><code>deleted_count</code></td><td><code>deletedCount</code></td></tr><tr><td><code>not_found_numbers</code></td><td><code>notFoundNumbers</code></td></tr><tr><td><code>error_count</code></td><td><code>errorCount</code></td></tr></tbody></table>

Ці ж застарілі параметри присутні у відповідях на створення та оновлення підписки. Далі в статті вони не повторюються.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-portal.novapost.com/methods/ua/overview/webhooks/deleting-numbers-from-a-subscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
